Public Member Functions | Static Public Attributes

# GDALFeaturePoint Class Reference

Class of "feature point" in raster. More...

`#include <gdal_simplesurf.h>`

List of all members.

## Public Member Functions
| GDALFeaturePoint ()
| Standard constructor.
| GDALFeaturePoint (const GDALFeaturePoint &fp)
| Copy constructor.
| GDALFeaturePoint (int nX, int nY, int nScale, int nRadius, int nSign)
| Create instance of GDALFeaturePoint class.
GDALFeaturePoint & | operator= (const GDALFeaturePoint &point)
double & | operator[] (int nIndex)
| Provide access to point's descriptor.
int | GetX ()
| Fetch X-coordinate (pixel) of point.
void | SetX (int nX)
| Set X coordinate of point.
int | GetY ()
| Fetch Y-coordinate (line) of point.
void | SetY (int nY)
| Set Y coordinate of point.
int | GetScale ()
| Fetch scale of point.
void | SetScale (int nScale)
| Set scale of point.
int | GetRadius ()
| Fetch radius of point.
void | SetRadius (int nRadius)
| Set radius of point.
int | GetSign ()
| Fetch sign of Hessian determinant of point.
void | SetSign (int nSign)
| Set sign of point.
## Static Public Attributes
static const int | DESC_SIZE = 64

## Detailed Description

Class of "feature point" in raster.

Used by SURF-based algorithm.

This point presents coordinates of distinctive pixel in image. In computer vision, feature points - the most "strong" and "unique" pixels (or areas) in picture, which can be distinguished from others. For more details, see FAST corner detector, SIFT, SURF and similar algorithms.

## Constructor & Destructor Documentation

GDALFeaturePoint::GDALFeaturePoint | ( |  | ) |

Standard constructor.

Initializes all parameters with negative numbers and allocates memory for descriptor.

GDALFeaturePoint::GDALFeaturePoint | ( | const GDALFeaturePoint & | fp | ) |

Copy constructor.

Parameters:

  | fp | Copied instance of GDALFeaturePoint class

GDALFeaturePoint::GDALFeaturePoint | ( | int | nX,
|  | int | nY,
|  | int | nScale,
|  | int | nRadius,
|  | int | nSign |
| ) |  |  |

Create instance of GDALFeaturePoint class.

Parameters:

  | nX | X-coordinate (pixel)
  | nY | Y-coordinate (line)
  | nScale | Scale which contains this point (2, 4, 8, 16 and so on)
  | nRadius | Half of the side of descriptor area
  | nSign | Sign of Hessian determinant for this point

Note:
  This constructor normally is invoked by SURF-based algorithm, which provides all necessary parameters.

## Member Function Documentation

int GDALFeaturePoint::GetRadius | ( |  | ) |

Fetch radius of point.

Returns:
  Radius for this point.

int GDALFeaturePoint::GetScale | ( |  | ) |

Fetch scale of point.

Returns:
  Scale for this point.

int GDALFeaturePoint::GetSign | ( |  | ) |

Fetch sign of Hessian determinant of point.

Returns:
  Sign for this point.

int GDALFeaturePoint::GetX | ( |  | ) |

Fetch X-coordinate (pixel) of point.

Returns:
  X-coordinate in pixels

int GDALFeaturePoint::GetY | ( |  | ) |

Fetch Y-coordinate (line) of point.

Returns:
  Y-coordinate in pixels.

double & GDALFeaturePoint::operator[] | ( | int | nIndex | ) |

Provide access to point's descriptor.

Parameters:

  | nIndex | Position of descriptor's value. nIndex should be within range from 0 to DESC_SIZE (in current version - 64)

Returns:
  Reference to value of descriptor in 'nIndex' position. If index is out of range then behaviour is undefined.

void GDALFeaturePoint::SetRadius | ( | int | nRadius | ) |

Set radius of point.

Parameters:

  | nRadius | Radius for this point.

void GDALFeaturePoint::SetScale | ( | int | nScale | ) |

Set scale of point.

Parameters:

  | nScale | Scale for this point.

void GDALFeaturePoint::SetSign | ( | int | nSign | ) |

Set sign of point.

Parameters:

  | nSign | Sign of Hessian determinant for this point.

void GDALFeaturePoint::SetX | ( | int | nX | ) |

Set X coordinate of point.

Parameters:

  | nX | X coordinate in pixels

void GDALFeaturePoint::SetY | ( | int | nY | ) |

Set Y coordinate of point.

Parameters:

  | nY | Y coordinate in pixels.

The documentation for this class was generated from the following files:

- gdal_simplesurf.h
- gdal_simplesurf.cpp

Generated for GDAL by 1.7.1.